
import AddressList from "@/components/AddressList"
import InfiniteScroll from "@/components/infiniteScroll"
import { Button, Canvas, Image, ScrollView, Text, View } from "@tarojs/components"
import Taro, { useReady } from "@tarojs/taro"
import { useEffect, useState } from "react"
import {creditListApi} from "@/api/creditLine"
import "./index.scss"

export default ()=>{

  return (
    <View className="deposit-detail">
      <View className="deposit-detail-tips">
        <Text className="iconfont icon-zhuyi"></Text> 转入失败原因：付款凭证与实际转入信息不符，请重新上传。
      </View>
      <View className="deposit-amount">
        <View className="deposit-type">转入 (元)</View>
        <View className="deposit-price">999,999.20</View>
      </View>
      <View className="deposit-status">
        <View className="deposit-status-title">状态</View>
        <TimeLine/>
      </View>
      <View className="deposit-voucher">
        <View className="deposit-voucher-title">付款凭证</View>
        <View className="deposit-voucher-content">
          <Image src="https://seopic.699pic.com/photo/40216/8643.jpg_wh1200.jpg"/>
          <Image src="https://seopic.699pic.com/photo/40216/8643.jpg_wh1200.jpg"/>
        </View>
      </View>
      <View className="deposit-info">
        <View className="deposit-info-list">
          <View className="deposit-info-list-title">银行流水号</View>
          <View className="deposit-info-list-content">2278204399678121212121288</View>
          <View className="deposit-info-list-copy">复制</View>
        </View>
        <View className="deposit-info-list">
          <View className="deposit-info-list-title">付款人</View>
          <View className="deposit-info-list-content">带生</View>
        </View>
        <View className="deposit-info-list">
          <View className="deposit-info-list-title">付款账号</View>
          <View className="deposit-info-list-content">带生</View>
          <View className="deposit-info-list-copy">复制</View>
        </View>
        <View className="deposit-info-list">
          <View className="deposit-info-list-title">联系方式</View>
          <View className="deposit-info-list-content">带生</View>
        </View>
        <View className="deposit-info-list">
          <View className="deposit-info-list-title">备注信息</View>
          <View className="deposit-info-list-content">带生</View>
        </View>
      </View>
    </View>
  )
}

const TimeLine = ()=>{
  return(
  <View className="deposit-timeline">
    <View className="deposit-timeline-item">
      <View className="deposit-timeline-item-left"></View>
      <View className="deposit-timeline-item-right">
        <View className="deposit-timeline-item-title">申请提交</View>
        <View className="deposit-timeline-item-date">2022-04-24 16:10:11</View>
      </View>
    </View>
    <View className="deposit-timeline-item">
      <View className="deposit-timeline-item-left"></View>
      <View className="deposit-timeline-item-right">
        <View className="deposit-timeline-item-title">申请提交</View>
      </View>
    </View>
    <View className="deposit-timeline-item">
      <View className="deposit-timeline-item-success">
        <Text className="iconfont icon-tick" />
      </View>
      <View className="deposit-timeline-item-right">
        <View className="deposit-timeline-item-title">申请提交</View>
        <View className="deposit-timeline-item-date">2022-04-24 16:10:11</View>
      </View>
    </View>
  </View>)
}